Package com.orchestranetworks.ui.form.widget

# Interface UIWidget

All Known Subinterfaces:
  `UIAtomicWidget`, `UIAtomicWithEnumeration`, `UIAtomicWithEnumerationItem`, `UICheckBox`, `UICheckBoxGroup`, `UIColorPicker`, `UIComboBox`, `UIDatasetSelector`, `UIDataspaceSelector`, `UIDateTime`, `UIDropDownList`, `UIListBox`, `UIPassword`, `UIRadioButton`, `UIRadioButtonGroup`, `UITable`, `UITextBox`

All Known Implementing Classes:
  `UICustomWidget`, `UIListCustomWidget`, `UISimpleCustomWidget`, `UIWidgetFileUpload`

public interface UIWidget
This interface is common to all EBX® model-driven widgets. These widgets are based on a data model node and are able to adapt their behavior to the data model definition (data type, display, user input validation, etc).

This interface must never be implemented except by the built-in widget. To implement a specific widget, please see `UICustomWidget`.

### JavaScript type

The JavaScript type is specified in the Javadoc of each widget.

Since:
  5.3.0
See Also:
  - `UIFormPaneWriter`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isEditorDisabled()`
  `void`
  `setEditorDisabled(boolean disabled)`
  Forces the widget to be in read-only mode if the specified argument is `true`.

- ## Method Details

  - ### isEditorDisabled

    boolean isEditorDisabled()
    Returns:
      `true` if the widget is forced to display its read-only version, `false` otherwise.
    See Also:
      - `setEditorDisabled(boolean)`

  - ### setEditorDisabled

    void setEditorDisabled(boolean disabled)
    Forces the widget to be in read-only mode if the specified argument is `true`. If the widget is hidden due to permissions, this method has no effect.

    By default, the widget will display its editable version only if the user is allowed to edit the node.

    Default value is `false`.

    Parameters:
      `disabled` - `true` to force the widget to display its read-only version, `false` to let the system display the editor that corresponds to the current widget.